REM @echo off
setlocal

REM Start - Adapter Specific Variables

REM set the name to be the application connector that is starting
	set CONNAME=%1
	set CONNPACKAGENAME=com.ibm.adapters.oneworld.OneWorldAdapterAgent

REM set the server name to be the interchange that is being targeted
	set SERVER=%2

REM End - Adapter Specific Variables

REM Branch between WBIA_RUNTIME and CROSSWORLDS
REM IF WBIA_RUNTIME is set use start_adapter launcher to run adapter
	If "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM call CWConnEnv
	call "%WBIA_RUNTIME%"\bin\CwConnEnv.bat


REM set the directory where the specific connector resides
	set CONNDIR="%WBIA_RUNTIME%"\connectors\%1


REM set the AGENT - the name of the adapter jar	
	set AGENT=%CONNDIR%\BIA_%CONNAME%.jar
REM Go to the adapter specific drive and directory
	cd /d %CONNDIR%

REM Set JVMArgs variable
	set JVMArgs=-Dconfig_file="%CONNDIR%"\dependencies\jdeinterop.ini

REM Set JCLASSES - to be set in CLASSPATH
	set JCLASSES=%AGENT%;%JCLASSES%

Rem Set ExtDirs - to have the dependencies folder
        set ExtDirs=%CONNDIR%\dependencies;%CONNDIR%\repository;%ExtDirs%

call "%WBIA_RUNTIME%\bin\start_adapter" -n%CONNAME% -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5
goto END



:CROSSWORLDS

REM All the old functionality goes here

REM call CWConnEnv

	call "%CROSSWORLDS%"\bin\CWConnEnv


REM set the directory where the specific adapter resides
	
	set CONNDIR="%CROSSWORLDS%"\connectors\%1


REM set the AGENT - the name of the adapter jar	
	set AGENT=%CONNDIR%\BIA_%CONNAME%.jar


REM Go to the adapter specific drive & directory
	
	cd /d %CONNDIR%


REM Set JCLASSES - to be set in CLASSPATH

	set JCLASSES=.;%JCLASSES%;%AGENT%;

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the connector dll under the Java Application End
%CWJAVA% -mx128m -Dconfig_file="%CONNDIR%"\dependencies\jdeinterop.ini -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS%;%CONNDIR%\repository;%CONNDIR%\dependencies -Djava.library.path="%CROSSWORLDS%"\bin;%CONNDIR%;"%MQ_LIB%";%JRE_EXT_DIRS%;%CONNDIR%\repository;%CONNDIR%\dependencies %ORB_PROPERTY% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES%; AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER%  %3 %4 %5

:END

endlocal

pause
