REM set AGENTNAME=OneWorldODA
REM set AGENT="%CROSSWORLDS%"\ODA\OneWorld\BIA_OneWorldODA.jar
REM set AGENTCLASS=com.ibm.oda.oneworldoda.OneWorldOda

setlocal

REM IF WBIA_RUNTIME is set use ODK Runtime scripts

if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM Invoke the CWODAENV.bat
call "%WBIA_RUNTIME%"\bin\CWODAEnv

goto LAUNCH


:CROSSWORLDS
REM Invoke the CWODAENV.bat
call "%CROSSWORLDS%"\bin\CWODAEnv


:LAUNCH


REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%";"%CROSSWORLDS%"\bin;%PATH%
set AGENTNAME=OneWorldODA
set AGENT="%CROSSWORLDS%"\ODA\OneWorld\BIA_OneWorldODA.jar
set AGENTCLASS=com.ibm.oda.oneworldoda.OneWorldOda
set CONDIR="%CROSSWORLDS%"\connectors\oneworld
set JCLASSES=%JCLASSES%;%AGENT%


REM Start the Object Discovery Agent


%CWJAVA% -Duser.home="%CROSSWORLDS%" -Djava.library.path=%JLIBRARIES%;%CONDIR%\dependencies;%CONDIR%\repository -Djava.ext.dirs="%JRE_EXT_DIRS%";%CONDIR%\dependencies;%CONDIR%\repository -mx128m %ORB_DEP% -classpath %JCLASSES% com.crossworlds.ODKInfrastructure.%CONNECTION% -l%AGENTNAME% -c%AGENTCLASS% 

endlocal
pause

